Subject: Re: [nfsv4] 4.0 trunking

From: "J. Bruce Fields" <[email-masked]>
Date: Thu, 20 Oct 2016 13:30:07 -0400

On Sat, Sep 10, 2016 at 03:38:29PM -0400, David Noveck wrote:
> Perhaps we can discuss this in Westford where many implementers, who
> might not be all that aware of stuff on the working group list, would
> be present.  That's also one way to see if there are existing servers
> where this is big problem.

By the way, I took a quick look at SETCLIENTID results from the 4.0
implementations I saw here.  Verifiers and clientid's are mostly fairly
sparse (lots of zeroes).  In more detail:

	- linux knfsd as we know was affected (now fixed)
	- ganesha also uses unix time of boot + counters, so I suspect
	  it's also affected
	- Netapp's clientids and confirm verifiers are very sparse (all
	  but 3 bytes zero in the case I saw), but I can't tell exactly
	  what the scheme is.
	- Bill Baker tells me Solaris factors in some kind of node id.
	  So it should be OK as long as the client only mounts servers
	  in whatever space the node id's are allocated from.  This was
	  added as part of the migration implementation, so older
	  servers probably had the same problem.

--b.